#
# spec file for package bpmdj
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define pkg_version 4.2-pl4
Name:           bpmdj
Version:        4.2+pl4
Release:        4.7
Summary:        DJ System
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Mixers
Url:            http://bpmdj.yellowcouch.org/index.html
Source:         ftp://bpmdj.yellowcouch.org/bpmdj/bpmdj-v%{pkg_version}.tar.bz2
Patch:          bpmdj.patch
BuildRequires:  alsa-devel
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  jack-devel
BuildRequires:  boost-devel
BuildRequires:  libqt4-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
Requires:       MPlayer
Requires:       flac
Requires:       lame
Requires:       mpg123
Requires:       vorbis-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64

%description
BpmDj turns your Linux machine (or cluster) into a DJ system. BpmDj plays
Mp3's/Ogg's, provides a fully automatic BPM counter, measures sound color,
recognizes similar rhythms and compositions. Aside from music analysis, it also
provides the meat each DJ looks for: a full fledged QT interface, that will
help you navigate your music collection. The BpmDj player matches tempos
automatically. Its unique visualization method, (beatgraphs) helps you to
understand the songs structure at a glance.

%prep
%autosetup -p1 -c "%{name}-%{version}"

%build
# get rid of makefile silence
find . -type f -name makefile -o -name sources -o -name compile | while read f; do
    echo "=== patching $f"
    perl -p -i -e 's/@(make|gcc|g\+\+|\Q$(CPP)\E|\Q$(LINK)\E)/$1/g ; s/(make\s.*)-s/$1/; s/(make\s.*)--no-print-directory/$1/' "$f"
done

cat<<EOF >defines
%ifarch x86_64
BITS            = 64
%else
BITS            = 32
%endif
CPP             = g++
RCC             = rcc
UIC             = uic
MOC             = moc
CFLAGS         += -DCOMPILE_ALSA -DCOMPILE_JACK $(pkg-config --cflags alsa fftw3 jack) %{optflags}
LDFLAGS        += -pthread -lm $(pkg-config --libs alsa fftw3 jack) -lrt
QT_INCLUDE_PATH = $(pkg-config --cflags QtGui)
QT_LIBRARY_PATH =
QT_LIBS         = $(pkg-config --libs QtGui)
EOF

export SUSE_ASNEEDED=0
make VERSION="%{pkg_version}"

%install
install -d "%{buildroot}%{_bindir}"
install -m0755 bpmcount bpmdj bpmmerge bpmplay bpmdjraw "%{buildroot}%{_bindir}/"

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/bpmcount
%{_bindir}/bpmdj
%{_bindir}/bpmdjraw
%{_bindir}/bpmmerge
%{_bindir}/bpmplay

%changelog
* Mon Jan 16 2017 aloisio@gmx.com
- Update to version 4.2-pl4
- Dropped bpmdj-4.2+pl3-gcc47.diff now integrated
  upstream
- Spec cleanup
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
* Wed Dec 28 2011 pascal.bleser@opensuse.org
- initial version (4.2+pl3)
